From f337a209c35ff64212fbb97e474a2fbfe702e9d0 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 24 2020 14:08:01 +0000
Subject: [PATCH 913/2232] Merge pull request #316 from dtolnay/build


Use more systematic naming for generated code targets
---

diff --git a/demo/BUCK b/demo/BUCK
index 0640a53..7b476a5 100644
--- a/demo/BUCK
+++ b/demo/BUCK
@@ -4,23 +4,23 @@ rust_binary(
     name = "demo",
     srcs = glob(["src/**/*.rs"]),
     deps = [
+        ":bridge",
         ":demo-sys",
-        ":gen",
         "//:cxx",
     ],
 )
 
 cxx_library(
-    name = "gen",
-    srcs = [":gen-source"],
+    name = "bridge",
+    srcs = [":bridge/source"],
     deps = [
+        ":bridge/include",
         ":demo-include",
-        ":include",
     ],
 )
 
 genrule(
-    name = "gen-header",
+    name = "bridge/header",
     srcs = ["src/main.rs"],
     out = "src/main.rs.h",
     cmd = "$(exe //:codegen) --header ${SRCS} > ${OUT}",
@@ -28,7 +28,7 @@ genrule(
 )
 
 genrule(
-    name = "gen-source",
+    name = "bridge/source",
     srcs = ["src/main.rs"],
     out = "src/main.rs.cc",
     cmd = "$(exe //:codegen) ${SRCS} > ${OUT}",
@@ -36,8 +36,8 @@ genrule(
 )
 
 cxx_library(
-    name = "include",
-    exported_headers = [":gen-header"],
+    name = "bridge/include",
+    exported_headers = [":bridge/header"],
 )
 
 cxx_library(
@@ -45,8 +45,8 @@ cxx_library(
     srcs = ["src/demo.cc"],
     compiler_flags = ["-std=c++14"],
     deps = [
+        ":bridge/include",
         ":demo-include",
-        ":include",
     ],
 )
 
diff --git a/demo/BUILD b/demo/BUILD
index c1fb429..6e07e5e 100644
--- a/demo/BUILD
+++ b/demo/BUILD
@@ -5,23 +5,23 @@ rust_binary(
     name = "demo",
     srcs = glob(["src/**/*.rs"]),
     deps = [
+        ":bridge",
         ":demo-sys",
-        ":gen",
         "//:cxx",
     ],
 )
 
 cc_library(
-    name = "gen",
-    srcs = [":gen-source"],
+    name = "bridge",
+    srcs = [":bridge/source"],
     deps = [
+        ":bridge/include",
         ":demo-include",
-        ":include",
     ],
 )
 
 genrule(
-    name = "gen-header",
+    name = "bridge/header",
     srcs = ["src/main.rs"],
     outs = ["src/main.rs.h"],
     cmd = "$(location //:codegen) --header $< > $@",
@@ -29,7 +29,7 @@ genrule(
 )
 
 genrule(
-    name = "gen-source",
+    name = "bridge/source",
     srcs = ["src/main.rs"],
     outs = ["src/main.rs.cc"],
     cmd = "$(location //:codegen) $< > $@",
@@ -37,8 +37,8 @@ genrule(
 )
 
 cc_library(
-    name = "include",
-    hdrs = [":gen-header"],
+    name = "bridge/include",
+    hdrs = [":bridge/header"],
 )
 
 cc_library(
@@ -46,8 +46,8 @@ cc_library(
     srcs = ["src/demo.cc"],
     copts = ["-std=c++14"],
     deps = [
+        ":bridge/include",
         ":demo-include",
-        ":include",
     ],
 )
 
diff --git a/tests/BUCK b/tests/BUCK
index 4a14f2a..a5bd044 100644
--- a/tests/BUCK
+++ b/tests/BUCK
@@ -23,33 +23,33 @@ cxx_library(
     name = "impl",
     srcs = [
         "ffi/tests.cc",
-        ":gen-lib-source",
-        ":gen-module-source",
+        ":bridge/source",
+        ":module/source",
     ],
     header_namespace = "cxx-test-suite",
     headers = {
-        "lib.rs.h": ":gen-lib-header",
+        "lib.rs.h": ":bridge/header",
         "tests.h": "ffi/tests.h",
     },
     deps = ["//:core"],
 )
 
 genrule(
-    name = "gen-lib-header",
+    name = "bridge/header",
     srcs = ["ffi/lib.rs"],
     out = "ffi/lib.rs.h",
     cmd = "$(exe //:codegen) --header ${SRCS} > ${OUT}",
 )
 
 genrule(
-    name = "gen-lib-source",
+    name = "bridge/source",
     srcs = ["ffi/lib.rs"],
     out = "ffi/lib.rs.cc",
     cmd = "$(exe //:codegen) ${SRCS} > ${OUT}",
 )
 
 genrule(
-    name = "gen-module-source",
+    name = "module/source",
     srcs = ["ffi/module.rs"],
     out = "ffi/module.rs.cc",
     cmd = "$(exe //:codegen) ${SRCS} > ${OUT}",
diff --git a/tests/BUILD b/tests/BUILD
index c690994..586affc 100644
--- a/tests/BUILD
+++ b/tests/BUILD
@@ -24,20 +24,20 @@ cc_library(
     name = "impl",
     srcs = [
         "ffi/tests.cc",
-        ":gen-lib-source",
-        ":gen-module-source",
+        ":bridge/source",
+        ":module/source",
     ],
     hdrs = ["ffi/tests.h"],
     include_prefix = "cxx-test-suite",
     strip_include_prefix = "ffi",
     deps = [
-        ":lib-include",
+        ":bridge/include",
         "//:core",
     ],
 )
 
 genrule(
-    name = "gen-lib-header",
+    name = "bridge/header",
     srcs = ["ffi/lib.rs"],
     outs = ["ffi/lib.rs.h"],
     cmd = "$(location //:codegen) --header $< > $@",
@@ -45,7 +45,7 @@ genrule(
 )
 
 genrule(
-    name = "gen-lib-source",
+    name = "bridge/source",
     srcs = ["ffi/lib.rs"],
     outs = ["ffi/lib.rs.cc"],
     cmd = "$(location //:codegen) $< > $@",
@@ -53,14 +53,14 @@ genrule(
 )
 
 cc_library(
-    name = "lib-include",
-    hdrs = [":gen-lib-header"],
+    name = "bridge/include",
+    hdrs = [":bridge/header"],
     include_prefix = "cxx-test-suite",
     strip_include_prefix = "ffi",
 )
 
 genrule(
-    name = "gen-module-source",
+    name = "module/source",
     srcs = ["ffi/module.rs"],
     outs = ["ffi/module.rs.cc"],
     cmd = "$(location //:codegen) $< > $@",

